"use strict";

const dzsHelpers = require('../inc/js/_admin_helpers');
const _esjquery = require('../inc/js/_esjquery');
const $es = _esjquery.$es;

const dzspsy_document_ready = function () {

  const _pointTable = $es('.dzspsy-point-table');

  $es(document).on('click', '.dzspsy-add-item,.dzspsy-submit-payload,.delete-point-item', handle_mouse);


  function handle_mouse(e) {
    var _t = $es(this);

    if (_t.hasClass('delete-point-item')) {
      _t.parent().parent().remove();
    }
    if (_t.hasClass('dzspsy-add-item')) {

      _pointTable.find('tr').clone();
      const _cach = _pointTable.find('tr').getLast();
      _cach.find('select').addClass('dzs-style-me select-is-self-feeder')
      dzssel_init('*.dzs-style-me', {init_each: true, 'call_from': 'dzssel startup'});
    }
    if (_t.hasClass('dzspsy-submit-payload')) {

      dzsHelpers.dzs_show_notice({status: 'success', status_txt: 'loading...'})
      es_ajax({
        'type': 'POST',
        'url': ajaxurl,
        'data': {
          postdata: $es('.dzspsy-point-form').serialize(),
          action: 'dzspsy_save_point_vars'
        },
        'success': (e, respObj) => {
          var resp = dzsHelpers.parse_response(respObj.responseText);
          dzsHelpers.dzs_show_notice(resp);
        }
      })
    }
    return false;
  }


  function generate_point_data() {
    // -- @main function .. generate the payload
  }
}

window.addEventListener('DOMContentLoaded', (event) => {
  dzspsy_document_ready();
});