"use strict";
import * as dzsHelpers from '../inc/js/_admin_helpers';
import {$es} from '../inc/js/_esjquery'

import {init_pointProducts} from './js_inc/_pointProducts';
import {init_userPoints} from './js_inc/_userPoints';

/**
 *
 */
const dzspsy_document_ready = function () {


  $es('.feedbacker').removeClass('is-visible');
  $es(document).on('click', '.dzspsy-submit-payload', handle_mouse);

  init_pointProducts();
  init_userPoints();


  function handle_mouse(e) {
    var _t = $es(this);


    if (_t.hasClass('dzspsy-submit-payload')) {

      dzsHelpers.dzs_show_notice({success: true, status: 'success', data: { message: 'loading...'}});


      es_ajax({
        'method': 'POST',
        'url': ajaxurl,
        'data': {
          postdata: $es('.main-options--options').serialize(),
          action: 'dzspsy_save__main_options'
        },
        'success': (e, respObj) => {
          var resp = dzsHelpers.parse_response(respObj.responseText);
          dzsHelpers.dzs_show_notice(resp);
        },
        'error': (e, respObj) => {
          var resp = dzsHelpers.parse_response(respObj.responseText);
          dzsHelpers.dzs_show_notice(resp);
        },
      })
      es_ajax({
        'method': 'POST',
        'url': ajaxurl,
        'data': {
          postdata: $es('.dzspsy-point-form').serialize(),
          action: 'dzspsy_save_point_vars'
        },
        'success': (e, respObj) => {
          var resp = dzsHelpers.parse_response(respObj.responseText)
          dzsHelpers.dzs_show_notice(resp);
        },
        'error': (e, respObj) => {
          var resp = dzsHelpers.parse_response(respObj.responseText)
          dzsHelpers.dzs_show_notice(resp);
        }
      })
    }
    return false;
  }


  function generate_point_data() {
    // -- @main function .. generate the payload
  }
}

window.addEventListener('DOMContentLoaded', (event) => {
  dzspsy_document_ready();
});