<?php
/** @var array $wpPagesAsOptions let us see if it comes from outside */

$wpProductCategoriesAsOptionsHere = array();
if(isset($wpProductCategoriesAsOptions) && $wpProductCategoriesAsOptions){
  $wpProductCategoriesAsOptionsHere = $wpProductCategoriesAsOptions;
}

$mainOptions = array(
  'set_global_one_point_for_all_items' => array(
    'category' => 'main',
    'type' => 'checkbox',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Set global 1 point cost for all items', DZSPSY_PREFIX),
    'extra_classes' => '',
    'sidenote' => esc_html__('select the login page', DZSPSY_PREFIX). '',
  ),
  'excluded_categories' => array(
    'category' => 'main',
    'type' => 'checkboxes',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Excluded categories', DZSPSY_PREFIX),
    'extra_classes' => '',
    'sidenote' => esc_html__('exclude these categories from being bought with points', DZSPSY_PREFIX). '',
    'choices' => $wpProductCategoriesAsOptionsHere,
  ),
  'woocommerce_account_show_downloads' => array(
    'category' => 'main',
    'type' => 'checkbox',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Show custom downloads view in WooCommerce Account', DZSPSY_PREFIX),
    'extra_classes' => '',
    'sidenote' => esc_html__('will appear before the My Account > Downloads', DZSPSY_PREFIX). '',
  ),
);

if(defined('DZSWTL_VERSION')){
  $mainOptions['dzswtl_downloads_pay_by_points'] = array(
    'category' => 'main',
    'type' => 'checkbox',
    'default' => '',
    'select_type' => ' ',
    'title' => esc_html__('Pay WooTable Downloads with Points', DZSPSY_PREFIX),
    'extra_classes' => '',
    'sidenote' => esc_html__('Pay WooTable Downloads with Points', DZSPSY_PREFIX). '',
  );
}

return $mainOptions;