'use strict';
import {$es} from './_esjquery'
export function parse_response(response) {

  var arg = {};
  try {
    arg = JSON.parse(response);
  } catch (err) {
    console.log('did not parse', response);
  }

  return arg;
}

window.dzs_show_notice_timeout = 0;

/**
 *
 * @param {object|string} response
 */
export const dzs_show_notice = function (response) {

  const removeNotice = () => {

    clearTimeout(window.dzs_show_notice_timeout);
    window.dzs_show_notice_timeout = setTimeout(function () {

      _feedbacker.removeClass('is-visible');
    }, 1500);
  }



  var _feedbacker = $es('.feedbacker').eq(0);
  _feedbacker.attr('style', ' ');

  if (typeof response == 'object') {
    if (response.success === true) {

      _feedbacker.removeClass('is-error');
      _feedbacker.html(response.data.message);
      _feedbacker.addClass('is-visible');

      removeNotice();
    }
    if (response.success === false) {

      _feedbacker.addClass('is-error');
      _feedbacker.html(response.data.message);
      _feedbacker.addClass('is-visible');

      removeNotice();
    }
  } else {
    if (response.indexOf('error -') === 0) {
      _feedbacker.addClass('is-error');
      _feedbacker.html(response.substr(7));
      _feedbacker.addClass('is-visible');

      removeNotice();
    }
    if (response.indexOf('success -') === 0) {
      _feedbacker.removeClass('is-error');
      _feedbacker.html(response.substr(9));
      _feedbacker.addClass('is-visible');

      removeNotice();
    }
  }


};
export const add_gutenberg_buttons = function (response) {

  var $ = jQuery;


  // -- add shortcode buttons to gutenberg classic block
  setInterval(function () {

    if (window.tinyMCE) {
      for (var i in window.tinyMCE.editors) {
        var _el = window.tinyMCE.editors[i];
        var $_el = _el.$();

        // -- gutenberg ..

        if ($_el.hasClass('wp-block-freeform')) {

          var _cach = $_el.parent().parent().parent();
          if (_cach.find('.wp-content-media-buttons').length === 0) {


            _cach.find('.block-library-classic__toolbar .mce-last .mce-btn-group').children().eq(0).append('<div style="display: inline-block;" class="wp-content-media-buttons"></div>');

          }
          window.dzswtl_add_media_buttons();
        }

      }
    }
  }, 2000);
  // -- END add shortcode buttons to gutenberg classic block

};
