<?php

/**
 * @param DZSPointSystem $dzspsy
 */
function dzspsy_admin_generatePointSystemTable($dzspsy, $arr_opts){
  $fout = '';

  $fout .= '<form class="dzspsy-point-form">';
  $fout .= '<table class="dzspsy-point-table">';
  $fout .= '<tbody>';


  $fout .= '<tr>';
  $fout .= '<td>';

  $val = '';
  $name = 'productid[]';
  $fout .= DZSHelpers::generate_select($name, array('options' => $arr_opts,
      'class' => 'feed-from-main select-is-self-feeder skin-charm opener-list',
      'seekval' => $val,
      'extraattr' => ' data-label="' . $name . '"',
    )
  );
  $fout .= '</td>';

  $name = 'amount[]';

  $fout .= '<td class="point-amount">';
  $fout .= '<label for="' . $name . '">' . esc_html__("Points: ", DZSPSY_ID) . '</label>';

  $val = '';
  $fout .= DZSHelpers::generate_input_text($name, array(
      'class' => ' ',
      'seekval' => $val,
      'extraattr' => ' data-label="' . $name . '"',
    )
  );
  $fout .= '</td>';
  $fout .= '<td class="delete-point-item-td"><span class="delete-point-item">x</span></td>';
  $fout .= '</tr>';



  foreach ($dzspsy->dzspsy_point_vars as $labmain => $valmain) {

    $fout .= '<td>';

    $lab = 'productid';
    $val = $valmain[$lab];
    $name = $lab.'[]';
    $fout .= DZSHelpers::generate_select($name, array('options' => $arr_opts,
        'class' => 'feed-from-main    dzs-style-me skin-charm opener-list',
        'seekval' => $val,
        'extraattr' => ' data-label="' . $name . '"',
      )
    );
    $fout .= '</td>';

    $lab = 'amount';
    $val = $valmain[$lab];
    $name = $lab.'[]';

    $fout .= '<td class="point-amount">';
    $fout .= '<label for="' . $name . '">' . esc_html__("Points: ", DZSPSY_ID) . '</label>';

    $fout .= DZSHelpers::generate_input_text($name, array(
        'class' => ' ',
        'seekval' => $val,
        'extraattr' => ' data-label="' . $name . '"',
      )
    );
    $fout .= '</td>';
    $fout .= '<td class="delete-point-item-td"><span class="delete-point-item"><span>x</span></span></td>';

    $fout .= '</tr>';
  }


  $fout .= '</tbody>';
  $fout .= '</table>';


  $fout .= '</form>';


  $fout .= '<button class="button-secondary dzspsy-add-item">&#x022EF; &nbsp;' . esc_html__("Add item", DZSPSY_ID) . '</button>';

  $fout.='<br><br><br>';
  $fout.='<br><br><br>';

  return $fout;
}