<?php

/**
 * @param DZSPointSystem $dzspsy
 */
function dzspsy_admin_generateLogTable($dzspsy) {
  $fout = '';

  global $wpdb;


  $tableName = $wpdb->prefix . DZSPSY_DB_TABLE_NAME_WITHOUT_PREFIX;


  $sqlQuery = "SELECT * FROM $tableName WHERE 1 LIMIT 10";

  $results = $wpdb->get_results($sqlQuery, ARRAY_A);



  $fout .= '<table class="dzs-log-table">
      <thead style="font-style: italic; font-size: 11px;">
      <tr>
      <td>⤍ history</td>
      <td>date</td>
      <td>type</td>
      <td>amount</td>
      </tr></thead>
      <tbody>
                ';




  foreach ($results as $key => $result){



    $publishedDate = strtotime($result['date']);


    $logText = DzspsyHelpers::admin_generateLogTextForEntry($result);

    $fout.='<tr class="field_1 field_name required-field visibility-public field_type_textbox">
          <td class="label" style="white-space: pre;overflow: hidden;max-width: 400px;text-overflow: ellipsis;">'.$logText.'</td>

          <td class="data"><span>'.date(DZSPSY_DATE_FORMAT_DISPLAY,$publishedDate).'</span>
          </td><td class="data"><span>'.$result['type'].'</span>
          </td><td class="data"><span>'.$result['amount'].'</span>
          </td>
  </tr>';


  }



  $fout.='
          </tbody>
          </table>';


  return $fout;
}